Skip to main content

Get Processed Input Count

Example Request

{
"jsonrpc": "2.0",
"method": "cartesi_getProcessedInputCount",
"params": {
"application": "<name-or-address>"
},
"id": 1
}

The cartesi_getProcessedInputCount method returns the total number of inputs that have been processed by a specific application.

Parameters

NameTypeRequiredDescription
applicationstringYesThe application's name or hex encoded address

Response

{
"jsonrpc": "2.0",
"result": {
"data": "0x1"
},
"id": 1
}

Response Fields

NameTypeDescription
datastringTotal number of processed inputs (hex encoded)

Error Codes

CodeMessageDescription
-32602Invalid paramsInvalid parameter values
-32000Application not foundThe specified application does not exist
-32603Internal errorAn internal error occurred
We use cookies to ensure that we give you the best experience on our website. By using the website, you agree to the use of cookies.